Retrieves the unavailability with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
user_unavailability| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| date_start |
Date+Time of the beginning |
date |
Required |
| date_end |
Date+Time of the end |
date |
Required |
| modified_dateutc |
Date+Time of the modified |
date |
Required |
| description |
Description of the unavailability |
string |
Max length: 255 |
| is_approved |
Indicate if this object has been approved using a User Week Approval |
boolean | |
| user_id |
User owner of this unavailability |
globally unique identifier |
Optionally required : user_id, user_code or user must be provided |
| user_code |
Embedded entity "user" using ERP PK when adding/updating user_unavailability |
string |
Optionally required : user_id, user_code or user must be provided |
| user |
Embedded entity "user" using node when adding/updating user_unavailability |
user |
Optionally required : user_id, user_code or user must be provided |
| user_unavailability_type_id |
Type of the unavailability, cf model user_unavailability_type |
globally unique identifier |
Required Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
| user_unavailability_type_code |
Embedded entity "user_unavailability_type" using ERP PK when adding/updating user_unavailability |
string |
Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
| user_unavailability_type |
Embedded entity "user_unavailability_type" using node when adding/updating user_unavailability |
user_unavailability_type |
Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
Response Formats
application/json, text/json
{
"id": "f0aa283c-9bd5-437a-adc2-949316726530",
"date_start": "2026-11-02T09:26:33.1513084+00:00",
"date_end": "2026-11-02T09:26:33.1696756+00:00",
"modified_dateutc": "2026-11-02T09:26:33.1696756+00:00",
"description": "sample string 5",
"is_approved": true,
"user_id": "308a9a5d-10a6-41a6-a154-d75329868f0f",
"user_code": "sample string 8",
"user": {
"id": "c4b4c101-9993-49fd-8394-3f0ebf381b3c",
"db_language_id": "af0345b7-e751-42af-a740-99d0182219bd",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-11-02T09:26:33.1812903+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "67692014-c0e4-40b5-bd7d-2e8eaf4f0499",
"sales_organization": {
"id": "7b5cb04e-3173-4d30-892d-96c4abefbb08",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "511ff9ec-cf60-4df7-9703-4bd516493321",
"db_currency_id": "91ef9003-3cf8-4bff-b23d-87ce50a0bdc1",
"db_language_id": "59c28972-8f08-4f83-a6a0-f3cb9958a93d",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-02T09:26:33.1812903+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "071aae13-ff16-48a1-9982-659433365d0e",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "d743a279-5a1f-4087-b6d3-3e9edd1948e9",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-11-02T09:26:33.1812903+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "63e7fee9-6074-4cb5-8876-1bdff5f3adb4"
},
"user_unavailability_type_id": "666eb646-5b20-4491-8633-838fc0b0f833",
"user_unavailability_type_code": "sample string 10",
"user_unavailability_type": {
"id": "8c8f7bd9-0b41-451f-bf34-cc89bb95d4b0",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"sales_organization_id": "e1204244-059f-4174-8ac2-7603cf480ccc",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "7b5cb04e-3173-4d30-892d-96c4abefbb08",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "511ff9ec-cf60-4df7-9703-4bd516493321",
"db_currency_id": "91ef9003-3cf8-4bff-b23d-87ce50a0bdc1",
"db_language_id": "59c28972-8f08-4f83-a6a0-f3cb9958a93d",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-02T09:26:33.1812903+00:00"
},
"modified_dateutc": "2026-11-02T09:26:33.1812903+00:00"
}
}